POST api/Zapier/InsertNote
Insert notes.
Request Information
URI Parameters
None.
Body Parameters
NoteIntegrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| database_id | globally unique identifier |
None. |
|
| subject | string |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| create_date | string |
None. |
|
| creator_name | string |
None. |
|
| type | string |
None. |
|
| parent_note_id | globally unique identifier |
None. |
|
| hide | boolean |
None. |
|
| policy_database_id | globally unique identifier |
None. |
|
| policies_database_ids | Collection of globally unique identifier |
None. |
|
| origin | PolicyOrigin |
None. |
|
| taskId | globally unique identifier |
None. |
|
| is_sticky_note | boolean |
None. |
|
| sticky_note_color | StickyNoteColor |
None. |
|
| opportunity_database_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"database_id": "d1dc1fb2-dc40-4289-a49c-22eda9247a0d",
"subject": "sample string 2",
"insured_database_id": "60abb20b-bad9-48be-9037-a116c69f91f4",
"insured_email": "sample string 3",
"insured_first_name": "sample string 4",
"insured_last_name": "sample string 5",
"insured_commercial_name": "sample string 6",
"create_date": "sample string 7",
"creator_name": "sample string 8",
"type": "sample string 9",
"parent_note_id": "45bba595-acb3-406d-bfa4-a754ac1417b5",
"hide": true,
"policy_database_id": "c461ea07-488d-4dcd-86c7-18865f5849d6",
"policies_database_ids": [
"01f6e85c-c279-46ac-8302-21c2421e2c6e",
"115ff031-cdf8-4107-be9a-2ad880f0dd54"
],
"origin": 0,
"taskId": "1a0447df-222e-4b0d-83d7-552ad7cdf77a",
"is_sticky_note": true,
"sticky_note_color": 0,
"opportunity_database_id": "51180848-721b-487a-b421-9a2fdaba2d65"
}
application/xml, text/xml
Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
<CreateDate>sample string 7</CreateDate>
<CreatorName>sample string 8</CreatorName>
<DatabaseId>d1dc1fb2-dc40-4289-a49c-22eda9247a0d</DatabaseId>
<Hide>true</Hide>
<InsuredCommercialName>sample string 6</InsuredCommercialName>
<InsuredDatabaseId>60abb20b-bad9-48be-9037-a116c69f91f4</InsuredDatabaseId>
<InsuredEmail>sample string 3</InsuredEmail>
<InsuredFirstName>sample string 4</InsuredFirstName>
<InsuredLastName>sample string 5</InsuredLastName>
<IsStickyNote>true</IsStickyNote>
<OpportunityDatabaseId>51180848-721b-487a-b421-9a2fdaba2d65</OpportunityDatabaseId>
<Origin>Manual</Origin>
<ParentNoteId>45bba595-acb3-406d-bfa4-a754ac1417b5</ParentNoteId>
<PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>01f6e85c-c279-46ac-8302-21c2421e2c6e</d2p1:guid>
<d2p1:guid>115ff031-cdf8-4107-be9a-2ad880f0dd54</d2p1:guid>
</PoliciesDatabaseIds>
<PolicyDatabaseId>c461ea07-488d-4dcd-86c7-18865f5849d6</PolicyDatabaseId>
<StickyNoteColor>None</StickyNoteColor>
<Subject>sample string 2</Subject>
<TaskId>1a0447df-222e-4b0d-83d7-552ad7cdf77a</TaskId>
<Type>sample string 9</Type>
</NoteIntegrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>